namespace InABox.Core
{
    public class DFLayoutTextFieldProperties : DFLayoutFieldProperties<string, string>
    {
        
        [EditorSequence(-995)]
        [TextBoxEditor]
        public override string Default { get; set; }
        
        public override string FormatValue(string value)
        {
            return value;
        }

        public override string DeserializeValue(DFLoadStorageEntry entry)
        {
            return entry.GetValue<string>() ?? string.Empty;
        }

        public override void SerializeValue(DFSaveStorageEntry entry, string value)
        {
            entry.SetValue(value);
        }

        public override string GetValue(string value)
        {
            return value;
        }
    }
}